[android-components](../../../index.md) / [mozilla.components.ui.doorhanger](../../index.md) / [DoorhangerPrompt](../index.md) / [ControlGroup](./index.md)

# ControlGroup

`data class ControlGroup` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/ui/doorhanger/src/main/java/mozilla/components/ui/doorhanger/DoorhangerPrompt.kt#L104)

A group of controls to be displayed in a [DoorhangerPrompt](../index.md).

### Parameters

`icon` - An (optional) icon to be shown next to the control group.

`controls` - List of controls to be shown in this group.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `ControlGroup(icon: `[`Drawable`](https://developer.android.com/reference/android/graphics/drawable/Drawable.html)`? = null, controls: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`Control`](../-control/index.md)`>)`<br>A group of controls to be displayed in a [DoorhangerPrompt](../index.md). |

### Properties

| Name | Summary |
|---|---|
| [controls](controls.md) | `val controls: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`Control`](../-control/index.md)`>`<br>List of controls to be shown in this group. |
| [icon](icon.md) | `val icon: `[`Drawable`](https://developer.android.com/reference/android/graphics/drawable/Drawable.html)`?`<br>An (optional) icon to be shown next to the control group. |
